import java.awt.*;

/**
 * PizzaApplet.java
 *
 * The main applet class which starts the applet. 
 * It uses a BorderLayout to place components in the
 * applet window and uses other classes to actually 
 * display text.
 *
 * @author xjqiu@npac.syr.edu
 */

public class PizzaApplet extends java.applet.Applet { // class definition

/**
 * The init method of the applet called the first time and it uses
 * a BorderLayout to place the two components on top and bottom.
 * The banner is displayed on top and the form at the bottom.
 */

private QueryPanel qp;
private ResultPanel rp;
private ControlPanel cp;
private DisplayPanel dp;
private OrderForm oForm;
private myDatabase database;


 public void init() { //Split Applet into QueryPanel and ResultPanel

	 setLayout(new BorderLayout()); // use BorderLayout
    
	 database = new myDatabase(); 
   	 dp = new DisplayPanel();
     oForm = new OrderForm(dp,database); //instantiate an OrderForm component


	 rp = new ResultPanel();
     qp = new QueryPanel();

	 add(qp, "Center");
	 add(rp, "South");
     
 } 	


 class QueryPanel extends Panel {

	public QueryPanel() { //Split QueryPanel into BannerPage and OrderForm
 
		setLayout(new BorderLayout());
  
   	  	BannerPage bp = new BannerPage(); //instantiate a BannerPage component
 
     	add(bp,"North"); // add the banner to the top of the page
     	add(oForm,"Center"); //add the OrderForm below it
 	}
 }
 

 class ResultPanel extends Panel { //Split ResultPanel into DisplayPanel and ControlPanel 

	public ResultPanel() {

		setLayout(new BorderLayout());

		cp = new ControlPanel(database, oForm, dp);

	    add(cp, "South");

	 	add(dp, "Center");


	}
 }
} // end of Applet class
